Creates a new company
Request Information
URI Parameters :
None.
Body Parameters :
company| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| is_client |
SALES : Indicate if can be used for ordering |
boolean | |
| is_supplier |
SERVICES : indicate if this company is a supplier |
boolean | |
| archived |
Archive this company to not have it anymore on the search |
boolean | |
| name | string |
Required Max length: 64 |
|
| notes |
Notes/Remark field |
string | |
| create_date |
Creation date+time |
date | |
| sales_territory_id |
Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled |
globally unique identifier | |
| sales_territory_code |
Embedded entity "sales_territory" using ERP PK when adding/updating company |
string | |
| sales_territory |
Embedded entity "sales_territory" using node when adding/updating company |
sales_territory | |
| marketing_segment_id |
Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) ) |
globally unique identifier | |
| marketing_segment_code |
Embedded entity "marketing_segment" using ERP PK when adding/updating company |
string | |
| marketing_segment |
Embedded entity "marketing_segment" using node when adding/updating company |
marketing_segment | |
| sales_organization_id |
Organization on which belongs the company.If more than one sales_organization exists, then it must be filled |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating company |
sales_organization | |
| company_sales_status_code |
Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked" |
string | |
| vat_reg_code |
VAT number |
string |
Max length: 50 |
| is_working_address |
Services : If False, you cannot create project/installation on this company.Default=true |
boolean | |
| parent_id |
Reference to a parent company (in case of Child/Parent) when adding/updating company |
globally unique identifier | |
| parent_company_code |
Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company |
string | |
| parent_company |
Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company |
company | |
| phone |
Phone number of the company |
string |
Max length: 50 |
| fax |
Fax number of the company |
string |
Max length: 50 |
| url |
URL of the company website |
string |
Max length: 255 |
|
|
string |
Max length: 250 |
|
| street |
Address:Street |
string |
Max length: 100 |
| street_number |
Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number |
string |
Max length: 50 |
| city |
Address:City |
string |
Max length: 50 |
| zip |
Address:Zip |
string |
Max length: 50 |
| db_country_id |
Address:Country |
globally unique identifier | |
| db_country_code |
Address:CountryCode entity using international code when adding/updating company |
string | |
| feelist_id |
FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets) |
globally unique identifier | |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating company |
string | |
| feelist |
Embedded entity "feelist" using node when adding/updating company |
feelist | |
| company_type_id |
Company Type |
globally unique identifier | |
| company_type_name |
Embedded entity "company_type" using ERP PK when adding/updating company |
string | |
| company_type |
Embedded entity "company_type" using node when adding/updating company |
company_type | |
| db_language_id |
Language of the company.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating company |
string | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier | |
| article_price_label_code |
Embedded entity "article price label" using ERP PK when adding/updating |
string | |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label | |
| db_payment_method_id |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
globally unique identifier | |
| db_payment_method_reference_back_office |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
string | |
| db_payment_methods |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
db_payment_methods | |
| company_sector_id |
Foreign key to company_sector |
globally unique identifier | |
| company_sector_code |
Embedded code for the company_sector using ERP PK when adding/updating |
string | |
| company_sector |
Embedded entity for the company_sector using the key from an external system when adding/updating object |
company_sector | |
| is_lead |
Indicate that company is not already a customer |
boolean | |
| is_subcontractor |
For Service, that company is one of your subcontractors |
boolean | |
| latitude |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| street2 |
Additional information on the address not part of the postal address |
string | |
| bic_code |
bic code |
string | |
| specialities |
specialities |
string | |
| register_number |
register_number |
string | |
| register_city |
register_city |
string | |
| bankaccount |
Bank account of the company. |
string | |
| mobile |
Mobile number of the company |
string |
Max length: 50 |
| service_manager_user_id |
ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
globally unique identifier | |
| service_manager_user_code |
Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
string | |
| service_manager_user |
Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
user | |
| finance_manager_user_id |
ID of the finance manager. Only used inside communication and tags |
globally unique identifier | |
| finance_manager_user_code |
Embedded code of the finance manager. Only used inside communication and tags |
string | |
| finance_manager_user |
Embedded entity of the finance manager. Only used inside communication and tags |
user | |
| account_manager_user_id |
ID of the account manager. Only used inside communication and tags |
globally unique identifier | |
| account_manager_user_code |
Embedded code of the account manager. Only used inside communication and tags |
string | |
| account_manager_user |
Embedded entity of the account manager. Only used inside communication and tags |
user | |
| company_status_id |
Company Status |
globally unique identifier | |
| invoice_email_to |
Email to send invoice |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric) |
integer |
Request Formats :
application/json, text/json
{
"id": "f7c0f1b8-428b-4be0-acad-73cc23b84b02",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-01T04:56:24.2678878+00:00",
"sales_territory_id": "bd8f2862-d454-4306-9668-1d3b23dbde8d",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "e0686c2f-d00d-4bc3-8d0e-9dc4ddda02c3",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6508440d-03c7-48ea-a9c6-1195f991fe37",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "febdbad8-95d7-4925-8024-b939c86e1cfa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "70be725e-aa81-443d-ad5f-2b7c6c0c0c3d",
"db_currency_id": "4b907ad1-cee4-4c79-ae52-18f7e176f731",
"db_language_id": "db037a6f-2f9f-4605-b77b-5b99304fe01b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T04:56:24.2678878+00:00"
},
"modified_dateutc": "2026-11-01T04:56:24.2678878+00:00"
},
"marketing_segment_id": "f3f29892-1f41-4d9b-9b91-5ff2fa32a5a8",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "59010954-a335-4042-8a84-4d357029600c",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "63e2f103-1030-4360-a167-694e8e9a97f0",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "ff948842-5f19-4b1d-b9c2-4102befa7119",
"db_country_code": "sample string 28",
"feelist_id": "e6fd9333-d56b-4268-be7f-9740e4070b85",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "5281a6b5-e249-495e-8c40-cdceb35e0632",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "b80f831b-4240-441d-96ca-8464e9cb568a",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-01T04:56:24.2678878+00:00",
"db_currency_id": "5c2899f6-57a1-4c64-8b81-16bde609ff45",
"db_currency_code": "sample string 10"
},
"company_type_id": "34485a4c-dd09-4e21-abff-5048213cb453",
"company_type_name": "sample string 32",
"company_type": {
"id": "9a3564ff-d6ac-47d3-95fc-79df5e415f53",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "ae9c2430-14e5-495f-8f54-35af8d399931",
"sales_organization_code": "sample string 5"
},
"db_language_id": "cc1a31a5-64aa-4ac5-8919-59249342a7b8",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "87ec2fdc-4ced-4cb3-9bdf-ce9c330727ef",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "b7fcd7b5-20d0-410a-baff-46f500831db0",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "58171449-21c6-4b3b-9fee-a14ed19477c0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-01T04:56:24.2854491+00:00"
},
"company_sector_id": "2175ba78-a033-4262-a84d-a8ee04e14717",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "0f5640dd-2222-4cd8-a6cf-504a2ddc1013",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "ea3ca433-3abb-43ca-a78b-34e30a76919f",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "fbc1d21b-3745-4a92-9110-c803c4859d0c",
"account_manager_user_code": "sample string 56",
"company_status_id": "778f021a-85df-4db2-bdb9-cd8566b3d385",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-01T04:56:24.2854491+00:00",
"id2": 60
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.